Skip to main content
GET
/
api
/
v1
/
contacts
curl https://app.demeterrr.com/api/v1/contacts?page=1&limit=50 \
  -H "X-API-Key: dem_your_key_here"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "email": "john.doe@example.com",
      "firstName": "John",
      "lastName": "Doe",
      "phone": "+15551234567",
      "title": "Mr.",
      "preferredLanguage": "en",
      "locationId": "660e8400-e29b-41d4-a716-446655440000",
      "contactOrganizationId": null,
      "customFields": {
        "birthday": "1990-01-15",
        "membershipTier": "Gold"
      },
      "tags": ["vip", "frequent-customer"],
      "unsubscribed": false,
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": "2026-02-10T14:20:00.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 50,
    "total": 247,
    "totalPages": 5
  }
}

Authentication

Requires contacts:read scope.

Query Parameters

page
integer
default:"1"
Page number to retrieve
limit
integer
default:"50"
Number of items per page (max: 100)
Search by first name, last name, or email
email
string
Filter by exact email address
phone
string
Filter by phone number
location_id
string
Filter by location UUID

Response

data
array
meta
object
curl https://app.demeterrr.com/api/v1/contacts?page=1&limit=50 \
  -H "X-API-Key: dem_your_key_here"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "email": "john.doe@example.com",
      "firstName": "John",
      "lastName": "Doe",
      "phone": "+15551234567",
      "title": "Mr.",
      "preferredLanguage": "en",
      "locationId": "660e8400-e29b-41d4-a716-446655440000",
      "contactOrganizationId": null,
      "customFields": {
        "birthday": "1990-01-15",
        "membershipTier": "Gold"
      },
      "tags": ["vip", "frequent-customer"],
      "unsubscribed": false,
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": "2026-02-10T14:20:00.000Z"
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 50,
    "total": 247,
    "totalPages": 5
  }
}